Subject: Re: [bug#54539] [PATCH 0/6] Start breaking up import cycles

From: Maxime Devos <[email-masked]>
Date: Thu, 24 Mar 2022 22:49:56 +0100

Maxime Devos schreef op wo 23-03-2022 om 19:46 [+0100]:
> Import cycles make some packaging things harder and prevent some
> proposed optimisations to "guix pull", let's start eliminating them.
> TBC ...

Status update: previously the output of
"guix graph -t module hello --max-depth=9 |wc --lines" reports ~1040
lines.  With WIP patches, it now reports 280 lines.  I'm gradually
increasing the max-depth and each time investigating how to leave xorg,
gtk, ... out of the output.

Greetings,
Maxime.